ICU 58.2 58.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Friends
icu::IDNAInfo Class Reference

Output container for IDNA processing errors. More...

`#include <idna.h>`

Inheritance diagram for icu::IDNAInfo:

## Public Member Functions
| IDNAInfo ()
| Constructor for stack allocation. More...
UBool | hasErrors () const
| Were there IDNA processing errors? More...
uint32_t | getErrors () const
| Returns a bit set indicating IDNA processing errors. More...
UBool | isTransitionalDifferent () const
| Returns TRUE if transitional and nontransitional processing produce different results. More...

## Friends
class | UTS46

## Detailed Description

Output container for IDNA processing errors.

The IDNAInfo class is not suitable for subclassing.

Stable:
  ICU 4.6

Definition at line 268 of file idna.h.

## Constructor & Destructor Documentation

icu::IDNAInfo::IDNAInfo | ( |  | ) |
| inline

Constructor for stack allocation.

Stable:
  ICU 4.6

Definition at line 274 of file idna.h.

## Member Function Documentation

uint32_t icu::IDNAInfo::getErrors | ( |  | ) | const
| inline

Returns a bit set indicating IDNA processing errors.

See UIDNA_ERROR_... constants in uidna.h.

Returns
  bit set of processing errors

Stable:
  ICU 4.6

Definition at line 287 of file idna.h.

UBool icu::IDNAInfo::hasErrors | ( |  | ) | const
| inline

Were there IDNA processing errors?

Returns
  TRUE if there were processing errors

Stable:
  ICU 4.6

Definition at line 280 of file idna.h.

UBool icu::IDNAInfo::isTransitionalDifferent | ( |  | ) | const
| inline

Returns TRUE if transitional and nontransitional processing produce different results.

This is the case when the input label or domain name contains one or more deviation characters outside a Punycode label (see UTS #46).

- With nontransitional processing, such characters are copied to the destination string.
- With transitional processing, such characters are mapped (sharp s/sigma) or removed (joiner/nonjoiner).

Returns
  TRUE if transitional and nontransitional processing produce different results

Stable:
  ICU 4.6

Definition at line 301 of file idna.h.

References FALSE, TRUE, and U_NAMESPACE_END.

The documentation for this class was generated from the following file:

- idna.h